Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.binding
[Groovy] Class JListSelectedElementBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JListSelectedElementBinding

All Implemented Interfaces:
  PropertyChangeListener, ListSelectionListener

    class JListSelectedElementBinding
    extends AbstractSyntheticBinding

Field Summary

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Property Summary
`JList` | `boundList`

Constructor Summary
`protected JListSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)`

Method Summary
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `setTargetBinding(TargetBinding target)`
`void` | `syntheticBind()`
`void` | `syntheticUnbind()`
`void` | `valueChanged(ListSelectionEvent e)`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### boundList

    JList boundList

Constructor Detail

### JListSelectedElementBinding

    protected JListSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)

Method Detail

### propertyChange

    void propertyChange(PropertyChangeEvent event)

### setTargetBinding

    void setTargetBinding(TargetBinding target)

### syntheticBind

    void syntheticBind()

### syntheticUnbind

    void syntheticUnbind()

### valueChanged

    void valueChanged(ListSelectionEvent e)

Copyright © 2003-2010 The Codehaus. All rights reserved.